# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccessControlRules,
    AccessControlRulesIdentity,
    AccessControlRulesPrivilege,
    AccessControlRulesRole,
    AccessControlRulesRoleAssignment,
    AdditionalReplicaSet,
    ApiError,
    ApiErrorBase,
    CommunityGallery,
    CommunityGalleryImage,
    CommunityGalleryImageIdentifier,
    CommunityGalleryImageList,
    CommunityGalleryImageVersion,
    CommunityGalleryImageVersionList,
    CommunityGalleryInfo,
    CommunityGalleryMetadata,
    DataDiskImageEncryption,
    Disallowed,
    DiskImageEncryption,
    EncryptionImages,
    ExecutedValidation,
    ExtendedLocation,
    Gallery,
    GalleryApplication,
    GalleryApplicationCustomAction,
    GalleryApplicationCustomActionParameter,
    GalleryApplicationList,
    GalleryApplicationUpdate,
    GalleryApplicationVersion,
    GalleryApplicationVersionList,
    GalleryApplicationVersionPublishingProfile,
    GalleryApplicationVersionSafetyProfile,
    GalleryApplicationVersionUpdate,
    GalleryArtifactPublishingProfileBase,
    GalleryArtifactSafetyProfileBase,
    GalleryArtifactSource,
    GalleryArtifactVersionFullSource,
    GalleryArtifactVersionSource,
    GalleryDataDiskImage,
    GalleryDiskImage,
    GalleryDiskImageSource,
    GalleryExtendedLocation,
    GalleryIdentifier,
    GalleryIdentity,
    GalleryImage,
    GalleryImageFeature,
    GalleryImageIdentifier,
    GalleryImageList,
    GalleryImageUpdate,
    GalleryImageVersion,
    GalleryImageVersionList,
    GalleryImageVersionPublishingProfile,
    GalleryImageVersionSafetyProfile,
    GalleryImageVersionStorageProfile,
    GalleryImageVersionUefiSettings,
    GalleryImageVersionUpdate,
    GalleryInVMAccessControlProfile,
    GalleryInVMAccessControlProfileList,
    GalleryInVMAccessControlProfileProperties,
    GalleryInVMAccessControlProfileUpdate,
    GalleryInVMAccessControlProfileVersion,
    GalleryInVMAccessControlProfileVersionList,
    GalleryInVMAccessControlProfileVersionProperties,
    GalleryInVMAccessControlProfileVersionUpdate,
    GalleryList,
    GalleryOSDiskImage,
    GalleryResourceProfilePropertiesBase,
    GalleryResourceProfileVersionPropertiesBase,
    GallerySoftDeletedResource,
    GallerySoftDeletedResourceList,
    GalleryTargetExtendedLocation,
    GalleryUpdate,
    ImagePurchasePlan,
    ImageVersionSecurityProfile,
    InnerError,
    LatestGalleryImageVersion,
    ManagedArtifact,
    OSDiskImageEncryption,
    OSDiskImageSecurityProfile,
    PirCommunityGalleryResource,
    PirResource,
    PirSharedGalleryResource,
    PlatformAttribute,
    PolicyViolation,
    RecommendedMachineConfiguration,
    RegionalReplicationStatus,
    RegionalSharingStatus,
    ReplicationStatus,
    Resource,
    ResourceRange,
    ResourceWithOptionalLocation,
    SharedGallery,
    SharedGalleryDataDiskImage,
    SharedGalleryDiskImage,
    SharedGalleryImage,
    SharedGalleryImageList,
    SharedGalleryImageVersion,
    SharedGalleryImageVersionList,
    SharedGalleryImageVersionStorageProfile,
    SharedGalleryList,
    SharedGalleryOSDiskImage,
    SharingProfile,
    SharingProfileGroup,
    SharingStatus,
    SharingUpdate,
    SoftDeletePolicy,
    SubResource,
    SubResourceReadOnly,
    SystemData,
    TargetRegion,
    UefiKey,
    UefiKeySignatures,
    UpdateResourceDefinition,
    UserArtifactManage,
    UserArtifactSettings,
    UserArtifactSource,
    UserAssignedIdentitiesValue,
    ValidationsProfile,
)

from ._compute_management_client_enums import (  # type: ignore
    AccessControlRulesMode,
    AggregatedReplicationState,
    Architecture,
    ConfidentialVMEncryptionType,
    EdgeZoneStorageAccountType,
    EndpointAccess,
    EndpointTypes,
    ExtendedLocationTypes,
    GalleryApplicationCustomActionParameterType,
    GalleryApplicationScriptRebootBehavior,
    GalleryExpandParams,
    GalleryExtendedLocationType,
    GalleryProvisioningState,
    GallerySharingPermissionTypes,
    HostCaching,
    HyperVGeneration,
    OperatingSystemStateTypes,
    OperatingSystemTypes,
    PolicyViolationCategory,
    ReplicationMode,
    ReplicationState,
    ReplicationStatusTypes,
    ResourceIdentityType,
    SelectPermissions,
    SharedGalleryHostCaching,
    SharedToValues,
    SharingProfileGroupTypes,
    SharingState,
    SharingUpdateOperationTypes,
    SoftDeletedArtifactTypes,
    StorageAccountType,
    UefiKeyType,
    UefiSignatureTemplateName,
    ValidationStatus,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccessControlRules",
    "AccessControlRulesIdentity",
    "AccessControlRulesPrivilege",
    "AccessControlRulesRole",
    "AccessControlRulesRoleAssignment",
    "AdditionalReplicaSet",
    "ApiError",
    "ApiErrorBase",
    "CommunityGallery",
    "CommunityGalleryImage",
    "CommunityGalleryImageIdentifier",
    "CommunityGalleryImageList",
    "CommunityGalleryImageVersion",
    "CommunityGalleryImageVersionList",
    "CommunityGalleryInfo",
    "CommunityGalleryMetadata",
    "DataDiskImageEncryption",
    "Disallowed",
    "DiskImageEncryption",
    "EncryptionImages",
    "ExecutedValidation",
    "ExtendedLocation",
    "Gallery",
    "GalleryApplication",
    "GalleryApplicationCustomAction",
    "GalleryApplicationCustomActionParameter",
    "GalleryApplicationList",
    "GalleryApplicationUpdate",
    "GalleryApplicationVersion",
    "GalleryApplicationVersionList",
    "GalleryApplicationVersionPublishingProfile",
    "GalleryApplicationVersionSafetyProfile",
    "GalleryApplicationVersionUpdate",
    "GalleryArtifactPublishingProfileBase",
    "GalleryArtifactSafetyProfileBase",
    "GalleryArtifactSource",
    "GalleryArtifactVersionFullSource",
    "GalleryArtifactVersionSource",
    "GalleryDataDiskImage",
    "GalleryDiskImage",
    "GalleryDiskImageSource",
    "GalleryExtendedLocation",
    "GalleryIdentifier",
    "GalleryIdentity",
    "GalleryImage",
    "GalleryImageFeature",
    "GalleryImageIdentifier",
    "GalleryImageList",
    "GalleryImageUpdate",
    "GalleryImageVersion",
    "GalleryImageVersionList",
    "GalleryImageVersionPublishingProfile",
    "GalleryImageVersionSafetyProfile",
    "GalleryImageVersionStorageProfile",
    "GalleryImageVersionUefiSettings",
    "GalleryImageVersionUpdate",
    "GalleryInVMAccessControlProfile",
    "GalleryInVMAccessControlProfileList",
    "GalleryInVMAccessControlProfileProperties",
    "GalleryInVMAccessControlProfileUpdate",
    "GalleryInVMAccessControlProfileVersion",
    "GalleryInVMAccessControlProfileVersionList",
    "GalleryInVMAccessControlProfileVersionProperties",
    "GalleryInVMAccessControlProfileVersionUpdate",
    "GalleryList",
    "GalleryOSDiskImage",
    "GalleryResourceProfilePropertiesBase",
    "GalleryResourceProfileVersionPropertiesBase",
    "GallerySoftDeletedResource",
    "GallerySoftDeletedResourceList",
    "GalleryTargetExtendedLocation",
    "GalleryUpdate",
    "ImagePurchasePlan",
    "ImageVersionSecurityProfile",
    "InnerError",
    "LatestGalleryImageVersion",
    "ManagedArtifact",
    "OSDiskImageEncryption",
    "OSDiskImageSecurityProfile",
    "PirCommunityGalleryResource",
    "PirResource",
    "PirSharedGalleryResource",
    "PlatformAttribute",
    "PolicyViolation",
    "RecommendedMachineConfiguration",
    "RegionalReplicationStatus",
    "RegionalSharingStatus",
    "ReplicationStatus",
    "Resource",
    "ResourceRange",
    "ResourceWithOptionalLocation",
    "SharedGallery",
    "SharedGalleryDataDiskImage",
    "SharedGalleryDiskImage",
    "SharedGalleryImage",
    "SharedGalleryImageList",
    "SharedGalleryImageVersion",
    "SharedGalleryImageVersionList",
    "SharedGalleryImageVersionStorageProfile",
    "SharedGalleryList",
    "SharedGalleryOSDiskImage",
    "SharingProfile",
    "SharingProfileGroup",
    "SharingStatus",
    "SharingUpdate",
    "SoftDeletePolicy",
    "SubResource",
    "SubResourceReadOnly",
    "SystemData",
    "TargetRegion",
    "UefiKey",
    "UefiKeySignatures",
    "UpdateResourceDefinition",
    "UserArtifactManage",
    "UserArtifactSettings",
    "UserArtifactSource",
    "UserAssignedIdentitiesValue",
    "ValidationsProfile",
    "AccessControlRulesMode",
    "AggregatedReplicationState",
    "Architecture",
    "ConfidentialVMEncryptionType",
    "EdgeZoneStorageAccountType",
    "EndpointAccess",
    "EndpointTypes",
    "ExtendedLocationTypes",
    "GalleryApplicationCustomActionParameterType",
    "GalleryApplicationScriptRebootBehavior",
    "GalleryExpandParams",
    "GalleryExtendedLocationType",
    "GalleryProvisioningState",
    "GallerySharingPermissionTypes",
    "HostCaching",
    "HyperVGeneration",
    "OperatingSystemStateTypes",
    "OperatingSystemTypes",
    "PolicyViolationCategory",
    "ReplicationMode",
    "ReplicationState",
    "ReplicationStatusTypes",
    "ResourceIdentityType",
    "SelectPermissions",
    "SharedGalleryHostCaching",
    "SharedToValues",
    "SharingProfileGroupTypes",
    "SharingState",
    "SharingUpdateOperationTypes",
    "SoftDeletedArtifactTypes",
    "StorageAccountType",
    "UefiKeyType",
    "UefiSignatureTemplateName",
    "ValidationStatus",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
